# $Revision: 1.18 $, $Date: 2009/08/05 17:42:38 $
# TODO:
# - requirements of pidgin needed (libs)
%define pidgin_ver %(pkg-config --modversion pidgin 2>/dev/null || echo ERROR)
Summary:	Guifications Plugin for Pidgin
Summary(pl.UTF-8):	Wtyczka Guifications dla Pidginaa
Name:		pidgin-plugin-guifications
Version:	2.14
Release:	4
Epoch:		1
License:	GPL
Group:		Applications/Communications
#Source0:	http://dl.sourceforge.net/guifications/pidgin-guifications-%{version}.tar.bz2
Source0:	http://downloads.guifications.org/plugins/Guifications2/pidgin-guifications-%{version}.tar.bz2
# Source0-md5:	3c7b126d255d0c768a4af699c4454481
URL:		http://guifications.sf.net/Guifications/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	libtool
BuildRequires:	pidgin-devel >= 2.2
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	pidgin >= %{pidgin_ver}
Obsoletes:	gaim-plugin-guifications
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Guifications is a Pidgin plugin that adds notification windows styled
after those found in MSN, deadaim, and newer versions of AIM, Yahoo
instant messenger, and a lot of other applications.

%description -l pl.UTF-8
Guifications to wtyczka dla Pidgina dodająca okienka powiadomień
stylizowane na takie, jakie można napotkać w MSN, deadaimie i nowszych
wersjach AIM-a, Yahoo Instant Messengerze oraz wielu innych
aplikacjach.

%prep
%setup -q -n pidgin-guifications-%{version}
mv po/{no,nb}.po
sed -i -e '/ALL_LINGUAS/s,no,nb,' configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang guifications

rm -f $RPM_BUILD_ROOT%{_libdir}/pidgin/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f guifications.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README doc/flow.png doc/flow.dia doc/QUOTES
%attr(755,root,root) %{_libdir}/pidgin/*.so
%{_pixmapsdir}/pidgin/guifications

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pidgin-plugin-guifications.spec,v $
Revision 1.18  2009/08/05 17:42:38  glen
- no->nb in locales; rel 4

Revision 1.17  2009/06/21 18:00:48  shadzik
- rel 3 (requested by svl_)

Revision 1.16  2007/10/23 07:47:51  glen
- screw that versioning; rel 2

Revision 1.15  2007/10/23 07:34:33  glen
- rel 1, obsoletes gaim plugin

Revision 1.14  2007/05/10 22:10:42  apollotiger
- corrected requires

Revision 1.13  2007/05/10 21:51:26  apollotiger
- corrected requires

Revision 1.12  2007/05/09 19:36:21  czarny
- made a pidgin plugin
- todo added
- up to 2.14
- rel 0.1

Revision 1.11  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.9  2006/07/15 19:12:55  glen
- store beta in release, not in version, epoch 1

Revision 1.8  2006/07/15 19:11:03  glen
- typo

Revision 1.7  2006/07/14 21:55:15  aredridel
- up to 2.13beta3, for gaim-2.0.0beta3
- thanks, apollotiger@nbtsc.org

Revision 1.6  2005/08/02 23:59:48  aredridel
- up to 2.12
- STBR

Revision 1.5  2005/08/02 15:53:01  aredridel
- up to 2.11

Revision 1.4  2005/07/04 21:15:46  glen
- rel 1

Revision 1.3  2005/07/04 19:32:23  qboosh
- pl

Revision 1.2  2005/07/04 17:40:35  glen
- fix plugin attrs

Revision 1.1  2005/07/04 17:28:21  glen
- new, based on template.spec and spec found in sources
